Bug 693359 - virt-cat and virt-edit don't handle case sensitive NTFS paths properly
virt-cat and virt-edit don't handle case sensitive NTFS paths properly
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 08:28 EDT by Richard W.M. Jones
Modified: 2011-10-25 05:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 05:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2011-04-04 08:28:48 EDT
Description of problem:

They should probably be calling case_sensitive_path on the
path argument, if we detect that the underlying filesystem
is NTFS.

Version-Release number of selected component (if applicable):

libguestfs 1.9.16

How reproducible:

100%

Steps to Reproduce:

# virt-cat -d Win7x32 /autoexec.bat
REM Dummy file for NTVDM
# 
# virt-cat -d Win7x32 /AUTOEXEC.BAT
libguestfs: error: download: /AUTOEXEC.BAT: No such file or directory

Expected results:

Both commands should give the same result.

Additional info:

http://libguestfs.org/guestfs.3.html#guestfs_case_sensitive_path
Comment 1 Richard W.M. Jones 2011-07-13 09:36:47 EDT
For virt-edit, this was fixed by commit
2b5fbc882a0a79646b668c7b95442f0b3673d63a, specifically by
this code:

http://git.annexia.org/?p=libguestfs.git;a=blob;f=edit/virt-edit.c;h=dc2e1302a10cdba934179b29f6f1ff622caa433e;hb=HEAD#l531

For virt-cat, the problem sill persists.  We need to take
some of the virt-edit code and copy it over into virt-cat.
Comment 2 Richard W.M. Jones 2011-10-25 05:56:45 EDT
Fixed in virt-cat in this commit:

http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=1e891d900714b84a84f9c9e79c6e033aa56c0fcc

Note You need to log in before you can comment on or make changes to this bug.